import { InitStore } from './types';
/**
 * Create new Store for using react hook
 *
 * @param {Object} initialState Start state
 * @param {Object} actions Object with actions
 * @param {Object} config Object with addidional configuration
 *
 * @retrun store, dispatch function and useStore hook
 */
declare const initStore: InitStore;
export default initStore;
